<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Files extends CI_Controller {
	public function __construct() 
    {
        parent::__construct();
       
        if(!$this->session->userdata("logged_in")) {
            redirect(base_url());
            // do something
        }
         $this->load->helper('form');
        $this->load->library('form_validation');
        $this->load->model('file');
    }
    public function index(){
        $data = array(
            'heading_title' => 'Imported Files'
            );
        
        //print_r($data);
        $this->load->view('admin/common/header',$data);
        $this->load->view('admin/common/navbar');
        $this->load->view('admin/files');
        $this->load->view('admin/common/footer');
    }
    public function get_files(){
        $data = $this->file->get_imported_files();
        if($data){
            $response = array(
                'status' => TRUE,
                'dist_files' => $data
            );
        }else{
            $response = array(
                'status' => false,
                'message' =>  'No Data Found'
            );
        }
        echo json_encode($response);
    }
}