<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Suppliermanager extends CI_Controller {
	public function __construct() 
    {
        parent::__construct();
        if(!$this->session->userdata("logged_in")) {
         redirect(base_url());
            // do something
        }
        $this->load->model('Supplier_manager_model');
        $this->load->library('multiquery');
    }

 public function suppliermanagersearch(){
		$list = $this->Supplier_manager_model->get_supplier_managers();
		$data = array(
			'heading_title' => 'Dashboard',
			'list' => $list
			);
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/common/navbar');
		$this->load->view('admin/suppliermanager/supllier_manager_list');
		$this->load->view('admin/common/footer');
	}

public function create(){
		$data = array(
			'heading_title' => 'Create Supplier Manager',			
			);
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/common/navbar');
		$this->load->view('admin/suppliermanager/create');
		$this->load->view('admin/common/footer');
	}
	
public function edit(){	
		$data = array(
			'heading_title' => 'Edit Supplier Manager',			
			);
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/common/navbar');
		$this->load->view('admin/suppliermanager/create');
		$this->load->view('admin/common/footer');
	}




public function get_suppliermanager_info()
{
        $id = $this->input->get('id');	
		$result= $this->Supplier_manager_model->get_supplier_manager_details($id);
		if($result){
			$response = array(
				'status' => True,
				'data' => $result
			);
				echo json_encode($response);
		}
		else{
			$response = array(
				'status' => FALSE,
				'message' => 'No data Found'
			);
				echo json_encode($response);
		}
}
public function save(){
		$errors = array();
		$data = array();
		$post_data = json_decode(file_get_contents('php://input'), true);
		$res = $this->Supplier_manager_model->save_supplier_manager($post_data);
		if($res){
			$response = array(
				'status' => True,
				'message' => 'Data Saved'
			);
				echo json_encode($response);
		}
			
	}
	
	public function update(){
		$errors = array();
		$data = array();
		$post_data = json_decode(file_get_contents('php://input'), true);
		$res = $this->Supplier_manager_model->update_supplier_manager($post_data);
		if($res){
			$response = array(
				'status' => True,
				'message' => 'Data Saved'
			);
				echo json_encode($response);
		}
			
	}

}
?>