<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Supplierrep extends CI_Controller {
	public function __construct() 
    {
        parent::__construct();
        if(!$this->session->userdata("logged_in")) {
         redirect(base_url());
            // do something
        }
        $this->load->model('Supplier_rep_model');
        $this->load->library('multiquery');
    }

 public function supplierrepsearch(){
		$list = $this->Supplier_rep_model->get_supplier_reps();
		$data = array(
			'heading_title' => 'Dashboard',
			'list' => $list
			);
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/common/navbar');
		$this->load->view('admin/supplierrep/supllier_rep_list');
		$this->load->view('admin/common/footer');
	}

public function create(){
		$data = array(
			'heading_title' => 'Create Supplier Rep',			
			);
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/common/navbar');
		$this->load->view('admin/supplierrep/create');
		$this->load->view('admin/common/footer');
	}

public function supplier_manager_info_to_load_dropdown(){
		$data  = $this->Supplier_rep_model->get_supplier_manager_info();
		if($data){
			$response = array(

					'status'=> True,
					'supplier_manager_info_to_load_dropdown'=> $data
				);
		}else{
			$response = array(

					'status'=> FALSE,

					'message'=> 'No data Found'

				);
		}
		echo json_encode($response);
	}
	
public function edit(){	
		$data = array(
			'heading_title' => 'Edit Supplier Rep',			
			);
		$this->load->view('admin/common/header',$data);
		$this->load->view('admin/common/navbar');
		$this->load->view('admin/supplierrep/create');
		$this->load->view('admin/common/footer');
	}




public function get_supplierrep_info()
{
        $id = $this->input->get('id');	

		$result= $this->Supplier_rep_model->get_supplier_rep_details($id);
		if($result){
			$response = array(
				'status' => True,
				'data' => $result
			);
				echo json_encode($response);
		}
		else{
			$response = array(
				'status' => FALSE,
				'message' => 'No data Found'
			);
				echo json_encode($response);
		}
}
public function save(){
		$errors = array();
		$data = array();
		$post_data = json_decode(file_get_contents('php://input'), true);
		$res = $this->Supplier_rep_model->save_supplier_rep($post_data);
		if($res){
			$response = array(
				'status' => True,
				'message' => 'Data Saved'
			);
				echo json_encode($response);
		}
			
	}
	
	public function update(){
		$errors = array();
		$data = array();
		$post_data = json_decode(file_get_contents('php://input'), true);
		//$post_data=$this->input->post();
		$res = $this->Supplier_rep_model->update_supplier_rep($post_data);
		if($res){
			$response = array(
				'status' => True,
				'message' => 'Data Saved'
			);
				echo json_encode($response);
		}
			
	}

}
?>