<?php 
class Supplier_rep_model extends CI_model{

public function get_supplier_reps(){
		$this->db->select('sr.ClientRepID,sr.ClientRepName,sr.ClientRepAddress,sr.ClientRepPhone,sr.client_rep_email,sr.supplier_manager_id,sm.supplier_manager_name');
		$this->db->from('ptsl_clientrep sr');
		$this->db->join('ptsl_supplier_manager sm','sm.id= sr.supplier_manager_id','left');
		return $this->db->get()->result_array();
	}
public function get_supplier_rep_details($id)
{
	$this->db->select('sr.ClientRepID,sr.ClientRepName,sr.ClientRepAddress,sr.ClientRepPhone,sr.supplier_manager_id,sr.client_rep_email,u.login_name,u.password');
	$this->db->from('ptsl_clientrep sr');
	$this->db->join('ptsl_users u','u.supplier_rep_id=sr.ClientRepID','');
	$this->db->where('sr.ClientRepID',$id);
	return $this->db->get()->result_array();
}
public function get_supplier_manager_info()
{
	 $supplierid=$this->session->userdata('supplier');
	 $this->db->select('*');
     $this->db->from('ptsl_supplier_manager');
     $this->db->where('supplier_id',$supplierid);
	 return $this->db->get()->result_array();
}
public function save_supplier_rep($post_data){
	   $supplierid=$this->session->userdata('supplier');
		$supplierrepdata = array(
				'ClientRepName' => $post_data['supplier_name'],
				'ClientRepPhone' => $post_data['phone'],
				'client_rep_email' =>$post_data['email'],
				'ClientRepAddress' =>$post_data['supplier_address'],
				'supplier_manager_id' =>$post_data['supplier_manager_id'],
				'supplier_id'=> $supplierid
			);
		$res = $this->db->insert('ptsl_clientrep',$supplierrepdata);
		$ClientRepID = $this->db->insert_id();
			if($res){
				$data_users = array(
						'login_name' => $post_data['username'],
						'password' => $post_data['password'],
						'user_type_id' => 1,
						'is_active'=>1,
						'supplier_rep_id' => $ClientRepID,
						//'supplier_manager_id'=>$post_data['supplier_manager_id'],
						'supplier_id' => $supplierid 
					);
					$res3 = $this->db->insert('ptsl_users',$data_users);
					$user_id = $this->db->insert_id();
					$data_user_role = array(
						'role_id' => '2',
						'user_id' => $user_id
					);
					$this->db->insert('ptsl_users_roles',$data_user_role);
					return 1;
			}
	}
public function update_supplier_rep($post_data){
		$ClientRepID = $post_data['ClientRepID'];
		$supplierrepdata = array(
				'ClientRepName' => $post_data['supplier_name'],
				'ClientRepPhone' => $post_data['phone'],
				'client_rep_email' =>$post_data['email'],
				'supplier_manager_id'=>$post_data['supplier_manager_id'],
				'ClientRepAddress' =>$post_data['supplier_address'],				
			);
		$this->db->where('ClientRepID',$ClientRepID);
		$res = $this->db->update('ptsl_clientrep',$supplierrepdata);
			if($res){				
					$data_users = array(
						'login_name' => $post_data['username'],
						'password' => $post_data['password'],
						'user_type_id' => 1
					);
					$this->db->where('supplier_rep_id',$ClientRepID);				
					$res2 = $this->db->update('ptsl_users',$data_users);
					return 1;
				}
			}
	}


?>
