    <div id="page-wrapper">
    <div class="row">
                <div class="col-lg-12">
                    <h1 class="page-header">Brand Report</h1>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <div class="row" style="background: rgb(238,238,238);">
                <div class="loader" style="display: none;"></div>
                <div class="col-lg-12" style="margin-top: 10px; padding-top: 10px; padding-bottom: 10px;">
                    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="background: #fff;padding:20px;">
                        <div id="columnchart_material2" style="#width: 800px; #height: 500px;"></div>
                        <div id="columnchart_material" style="#width: 800px; #height: 500px;display: none"></div>
                        <div class="filter col-lg-12" style="margin-top: 0px;padding-top: 0px;">
                            <div class="col-lg-3">
                                <select name="filter" onchange="getdata()" id="__filter" class="form-control">
                                
                                    <option selected value="1">Past 7 days</option>
                                    <option value="2">Past 90 days</option>
                                    <option value="3">Past 1 Year</option>
                                </select>
                            </div>
                            <div class="col-lg-1">Or</div>
                            <div class="col-lg-3 demo">
                                <div class="input-group" data-provide="datepicker">
                                    <input type="text" class="form-control"  name="daterange" value="">
                                    <div class="input-group-addon">
                                        <span class="glyphicon glyphicon-th"></span>
                                    </div>
                                </div>
                          </div>
                        </div>
                    </div>
                </div>

                <div class="col-lg-12" style="">
                    <div class="panel panel-default">
                            <div class="panel-heading"> Brand Report</div>
                            <div class="panel-body">
                                <div class="table-responsive init" id="table">
                                    <table class="table table-striped" id="userTable">
                                        <thead>
                                          <tr>
                                            <?php foreach($columns as $column){?>
                                            <th><?php echo $column;?></th>
                                            <?php }?>                                                                
                                          </tr>
                                        </thead>
                                        <tbody>
                                        <?php foreach(@$rows as $key=>$row){?>
                                            <tr>
                                                <?php foreach($columns as $column){?>
                                                    <td><?php echo $row[$column];?></td>
                                                <?php }?>
                                            </tr>
                                        <?php }?>
                                        </tbody>
                                    </table>
                                </div>
                                <div class="table-responsive init2" id="table" style="display: none;">
                                    <div class="table table-striped" id="userTable4">
                                    </div>
                                </div>
                                <!--div  class="table showData table-striped" id="userTable2"></div-->
                            </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script>
    function CreateTableFromJSON(myBooks) {
        var col = [];
        
          for (var i = 0; i < myBooks.length; i++) {
            for (var key in myBooks[i]) {
                if (col.indexOf(key) === -1) {
                    col.push(key);
                }
            }
          }
        
        

        // CREATE DYNAMIC TABLE.
        var table = document.createElement("table");
        table.className = "table table-striped";
        table.setAttribute("id", "userTable");

        // CREATE HTML TABLE HEADER ROW USING THE EXTRACTED HEADERS ABOVE.

        var tr = table.insertRow(-1);                   // TABLE ROW.
        
          for (var i = 0; i < col.length; i++) {
              var th = document.createElement("th");      // TABLE HEADER.
              if(col[i]=="monthname(ConvertedDate)"){
                  th.innerHTML = "Month";
              }
              else if(col[i]=="year(ConvertedDate)"){
                  th.innerHTML ="Year";
              }
              else if(col[i]=="dayname(ConvertedDate)"){
                  th.innerHTML ="Day";
              }else{
                  th.innerHTML = col[i];
              }
              
              tr.appendChild(th);
          }
        
       

        // ADD JSON DATA TO THE TABLE AS ROWS.
        
          for (var i = 0; i < myBooks.length; i++) {

              tr = table.insertRow(-1);

              for (var j = 0; j < col.length; j++) {
                  var tabCell = tr.insertCell(-1);
                  tabCell.innerHTML = myBooks[i][col[j]];
              }
          }
        
        

        // FINALLY ADD THE NEWLY CREATED TABLE WITH JSON DATA TO A CONTAINER.
        var divContainer = document.getElementById("userTable4");
        divContainer.innerHTML = "";
        divContainer.appendChild(table);
        $('.loader').css('display','none');
    }
</script>
    <!-- Begin-->
        <script type="text/javascript">
         $(function() {
         $('input[name="daterange"]').daterangepicker({
          autoUpdateInput: false,
          locale: {
              cancelLabel: 'Clear'
          }
        });
          $('input[name="daterange"]').on('apply.daterangepicker', function(ev, picker) {
          $(this).val(picker.startDate.format('YYYY-MM-DD') + ' ' + picker.endDate.format('YYYY-MM-DD'));
          var param = $('input[name="daterange"]').val();
          $('#columnchart_material2').css('display','none');
          $('#columnchart_material').css('display','block');
          loadchart(param);
        });

          $('input[name="daterange"]').on('cancel.daterangepicker', function(ev, picker) {
              $(this).val('');
          });
    });
         var filter =1;
         let chart_data3,chart_data2;
         $( document ).ready(function() {
            $("#filter").val("1");
            google.charts.load('current', {'packages':['bar']});
           loadchart(1);
         });
         function getdata(){
             filter = $('#__filter').val();
             $('#columnchart_material2').css('display','none');
             $('#columnchart_material').css('display','block');
             $('.init2').css('display','block');
             $('.init').css('display','none');
             loadchart(filter);

         }
         function loadchart(filter2){
          //console.log(filter2);

            if(!(filter2 == null)){
               if(filter2.indexOf(' ') >= 0){
                var k = filter2.split(" ");
                 filter2 = k[0]+"to"+k[1];
              }
              else{
                console.log('no');
              }
            }
             
            
            $('.loader').css('display','block');   
          var url= "<?php echo base_url();?>index.php/dashboard/api/"+filter2;
          console.log(url);
             $.get(url, function(data, status){
                //console.log(status);
                var obj = JSON.parse(data);
                chart_data2 = (obj.chart_data.groups);
                var sliced_arr = obj.chart_data.sliced_array;
                chart_data3 =(JSON.stringify(chart_data2));
               // console.log(sliced_arr);
                $('.loader').css('display','none');
                google.charts.load('current', {'packages':['bar']});
                if(sliced_arr){
                  google.charts.setOnLoadCallback(drawChart(chart_data3));
                  //alert('asd');
                }
                else{
                  alert("No data Found");
                  location.reload();
                }
                $('.init').css('display','none');
                $('.init2').css('display','block');
                //if(sliced_arr){
                  CreateTableFromJSON(sliced_arr);
               // }
                
                
                
            }); 
          
          google.charts.load('current', {'packages':['bar']});
          function drawChart(pdata) {
            var data = google.visualization.arrayToDataTable(JSON.parse(pdata.trim()));
            var options = {
            title: "Sales By Brand",
            
            height: 400,
            bar: {groupWidth: "95%"},
            legend: { position: "bottom" },
            animation: {
             startup : true,
            duration: 1000,
            easing: 'out'
          },
            vAxis: {title: "Case Equivalents"},
            hAxis: {title: "Month"}
            <!--vAxis: { gridlines: { count: 4 } } -->
            <!--isStacked: true -->
          };

            var chart = new google.charts.Bar(document.getElementById('columnchart_material'));

            chart.draw(data, google.charts.Bar.convertOptions(options));
          }
      }
        </script>
         <script type="text/javascript">
          google.charts.load('current', {'packages':['bar']});
          google.charts.setOnLoadCallback(drawChart);

          function drawChart() {
            var data = google.visualization.arrayToDataTable((<?php echo $chart_data;?>));
            
            var options = {
            title: "Sales By Brand",
           
            height: 400,
            bar: {groupWidth: "95%"},
            legend: { position: "bottom" },
            animation: {
             startup : true,
            duration: 1000,
            easing: 'out'
          },
            vAxis: {title: "Case Equivalents"},
            hAxis: {title: "Month"}
            <!--vAxis: { gridlines: { count: 4 } } -->
            <!--isStacked: true -->
          };

            var chart = new google.charts.Bar(document.getElementById('columnchart_material2'));

            chart.draw(data, google.charts.Bar.convertOptions(options));
          }
         
        </script>
       
    <!-- End -->

