<div id="page-wrapper" ng-app="CrmApp" ng-controller="fileImportClt">
	<div class="row">
    <div class="page-header"><h2><i class="fa fa-files-o"></i> List of  Imported files</h2></div>
        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
			<div class="panel panel-primary">
				<div class="panel-heading">Imported Files</div>
				<div class="panel-body">
					<div class="loader" ng-if="isLoading"></div>
					<div class="table-responsive">
						<table class="table table-striped" id="userTable">
						    <thead>
						      <tr>
						        <th>#</th>
						        <th>File</th>
						        <th>Status</th>
						        <th>File Type</th>
						        <th>Uploaded Time</th>						     
						        <th>Action</th>						
						      </tr>
						    </thead>
						    <tbody>
						    
						    	<tr ng-repeat="file in files">
						    		<td>{{$index+1}}</td>
						    		<td>{{file.old_file_name}}</td>
						    		<td>
						    				<div ng-if="file.status==1">
						    				<label class="label label-success">Parsed</label>
						    			</div>
						    			<div ng-if="file.status==0">
						    				<label class="label label-danger">Not Parsed</label>
						    			</div>

						    			
						    			
						    		</td>
						    		<td>
						    			<div ng-if="file.upload_file_type==2">
						    				<label class="label label-primary">Text File</label>
						    		</div>
						    			<div ng-if="file.upload_file_type==3">
						    				<label class="label label-info">Excel File</label>
						    			</div>

						    		
						    		</td>
						    		<td>{{file.created_at}}</td>
						    		<td>
						    			
						    			<div ng-if="file.status==0">
							    		
							    			<div ng-if="file.upload_file_type==2">
							    				<!--a href="<?php echo base_url()?>index.php/readfile/index?dis_file_id=<?php echo $file['id'];?>&dist_id=<?php echo $file['distributor_id'];?>" class="btn btn-danger" ><i class="fa fa-check-circle"></i> </a-->
							    				<a class="btn btn-danger" ng-click="read($index)"><i class="fa fa-check-circle"></i></a>
							    				</div>
							    			<div ng-if="file.upload_file_type==3">
							    				<!--a href="<?php echo base_url()?>index.php/readexcelfile/index?dis_file_id={{file.id}}&dist_id={{file.distributor_id}}" class="btn btn-danger" ><i class="fa fa-check-circle"></i> </a-->
							    				<a class="btn btn-danger" ng-click="read2($index)"><i class="fa fa-check-circle"></i></a>
							    			</div>
							    		
							    	</div>
							    		<div ng-if="file.status!=0">
							    		<label class="label label-success">Executed</label>
							    		</div>	
						    		</td>
						    	</tr>
						   
						    </tbody>
						    </table>
					</div>
				</div>
			</div>        	
        </div>
    </div>    
</div>
