<div id="page-wrapper" ng-app="CrmApp" ng-controller="CreateSupplierCtrl">
    <div class="row">
    <div class="page-header"><h2>Create Supplier</h2></div>
    <br /><br />
        <div class="col-lg-12 col-md-12">
        
  
                 <div class="col-lg-8 col-lg-offset-2">
    	   <div class="panel panel-primary">
                <div class="panel-heading">Create Supplier</div>
                <div class="panel-body">

                <div class="alert alert-success" ng-show="updated">
                    <strong>Success!</strong> Data Updated successfully
                </div>
            
               
                <form method="post" name="SupplierForm" novalidate >
                    <div class="form-group" ng-class="{'has-error': SupplierForm.supplier_name.$invalid && SupplierForm.supplier_name.$dirty, 'has-success': SupplierForm.supplier_name.$valid}">
                      <input type="text" class="form-control" placeholder="Supplier Name" name="supplier_name" ng-model="supplier.supplier_name" ng-minLength="4" required ng-value="<?php if(@$supplier_info['supplier_name']){ echo @$supplier_info['supplier_name'];}?>" />
                      <p class="help-block ng-cloak" ng-if="SupplierForm.supplier_name.$invalid && SupplierForm.supplier_name.$dirty">Please Enter at least 4 characters</p>
                    </div>
                     <div class="row">
            <div class="col-xs-6">
                <dropdown-multiselect model="selectedUserIds" 

                options="users"></dropdown-multiselect>
            </div>
            <div class="col-xs-6">
                <ul>
                    <li data-ng-repeat="item in selectedUserIds">
                        {{ item }}
                    </li>
                </ul>
            </div>
        </div>
                    <input type="hidden" ng-model="supplier.supplier_id">
                    <div class="form-group" ng-class="{'has-error': SupplierForm.supplier_address.$invalid && SupplierForm.supplier_address.$dirty, 'has-success': SupplierForm.supplier_address.$valid}">
                      <input type="text" class="form-control" placeholder="Address" name="supplier_address" ng-model="supplier.supplier_address" ng-minLength="1" required/>
                      <p class="help-block ng-cloak" ng-if="SupplierForm.supplier_address.$invalid && SupplierForm.supplier_address.$dirty">Address is required</p>
                    </div>
                    <div class="form-group" ng-class="{'has-error': SupplierForm.phone.$invalid && SupplierForm.phone.$dirty, 'has-success': SupplierForm.phone.$valid}">
                      <input type="text" class="form-control" placeholder="Phone" name="phone" ng-model="supplier.phone" ng-minLength="8" required/>
                      <p class="help-block ng-cloak" ng-if="SupplierForm.phone.$invalid && SupplierForm.phone.$dirty">Phone must be valid</p>
                    </div>
                    <div class="form-group" ng-class="{'has-error': SupplierForm.email.$invalid && SupplierForm.email.$dirty, 'has-success': SupplierForm.email.$valid}">
                      <input type="email" class="form-control" placeholder="Email" name="email" ng-model="supplier.email" ng-minLength="4" required/>
                      <p class="help-block ng-cloak" ng-if="SupplierForm.email.$invalid && SupplierForm.email.$dirty">Email must be valid</p>
                    </div>
                    <div class="form-group" ng-class="{'has-error': SupplierForm.product_line_id.$invalid && SupplierForm.product_line_id.$dirty, 'has-success': SupplierForm.product_line_id.$valid}">
                        <select name="product_line" ng-model="supplier.product_line_id" class="form-control">
                            <option value="">Select</option>
                            <option ng-repeat="line in product_lines" value="{{line.id}}"> {{line.product_line_name}}</option>
                        </select>
                    
                      <p class="help-block ng-cloak" ng-if="SupplierForm.product_line_id.$invalid && SupplierForm.product_line_id.$dirty">You have to select one option</p>
                    </div>
                    
                    <hr class="separator">
                  <div class="form-group">
                    <label>Supplier Admin Info:</label>
                  </div>
                  <div class="form-group" ng-class="{'has-error': SupplierForm.admin_name.$invalid && SupplierForm.admin_name.$dirty, 'has-success': SupplierForm.admin_name.$valid }">
                    <input type="text" class="form-control" placeholder="Supplier Admin Name" name="admin_name" ng-model="supplier.admin_name" required/>
                    <p class="help-block ng-cloak" ng-if="SupplierForm.admin_name.$invalid && SupplierForm.admin_name.$dirty">Name is required.</p>
                  </div>
                  <div class="form-group" ng-class="{'has-error': SupplierForm.username.$invalid && SupplierForm.username.$dirty, 'has-success': SupplierForm.username.$valid }">
                    <input type="text" class="form-control" placeholder="Username" name="username" ng-model="supplier.username" required/>
                    <p class="help-block ng-cloak" ng-if="SupplierForm.username.$invalid && SupplierForm.username.$dirty">Username is required.</p>
                  </div>
                  <div class="form-group" ng-class="{'has-error': SupplierForm.password.$invalid && SupplierForm.password.$dirty, 'has-success': SupplierForm.password.$valid}">
                    <input type="password" class="form-control" placeholder="Password" name="password" ng-model="supplier.password" ng-minLength="4" required/>
                    <p class="help-block ng-cloak" ng-if="SupplierForm.password.$invalid && SupplierForm.password.$dirty">Please Enter at least 4 characters</p>
                  </div>
                  <div class="form-group" ng-class="{'has-error': SupplierForm.supplier_address2.$invalid && SupplierForm.supplier_address2.$dirty, 'has-success': SupplierForm.supplier_address2.$valid}">
                      <input type="text" class="form-control" placeholder="Address" name="supplier_address2" ng-model="supplier.supplier_address2" ng-minLength="1" required/>
                      <p class="help-block ng-cloak" ng-if="SupplierForm.supplier_address2.$invalid && SupplierForm.supplier_address2.$dirty">Address is required</p>
                    </div>
                    <div class="form-group" ng-class="{'has-error': SupplierForm.phone2.$invalid && SupplierForm.phone2.$dirty, 'has-success': SupplierForm.phone2.$valid}">
                      <input type="text" class="form-control" placeholder="Phone" name="phone2" ng-model="supplier.phone2" ng-minLength="8" required/>
                      <p class="help-block ng-cloak" ng-if="SupplierForm.phone2.$invalid && SupplierForm.phone2.$dirty">Phone must be valid</p>
                    </div>
                    <div class="form-group" ng-class="{'has-error': SupplierForm.email2.$invalid && SupplierForm.email2.$dirty, 'has-success': SupplierForm.email2.$valid}">
                      <input type="email" class="form-control" placeholder="Email" name="email2" ng-model="supplier.email2" ng-minLength="4" required/>
                      <p class="help-block ng-cloak" ng-if="SupplierForm.email2.$invalid && SupplierForm.email2.$dirty">Email must be valid</p>
                    </div>
                   <button class="btn btn-lg btn-primary btn-block btn-signin" ng-disabled="SupplierForm.supplier_name.$invalid || SupplierForm.phone.$invalid || SupplierForm.email.$invalid || SupplierForm.product_line_id.$invalid" type="submit" ng-click="createSupplier()">Save</button>
                </form>
                  </div>
                  <div class="col-lg-4"></div>  
                </div>
            </div>
        </div> 
    </div>
</div>                  