<?php 
class Supplier_model extends CI_model{
	public function get_supplier_details($id,$admin_id){
		$spn = "call ptsl_sp_get_supplier_for_edit('".$id."','".$admin_id."')";
		//echo $spn;
		$result =  $this->db->query($spn)->result_array();
		//echo $this->db->last_query();
		return $result;
	}
	public function get_product_line(){
		return $this->db->get('ptsl_product_line')->result_array();
	}
	public function get_suppliers(){
		$this->db->select('s.id,s.supplier_name,s.supplier_address,s.supplier_phone,s.supplier_email,p.product_line_name,a.id as admin_id');
		$this->db->from('ptsl_supplier s');
		$this->db->join('ptsl_product_line p','s.product_line_id= p.id','');
		$this->db->join('ptsl_supplier_admins a','a.supplier_id= s.id','');
		return $this->db->get()->result_array();
	}
	
	public function save_supplier($post_data){
		$distributors = @$post_data['distributors'];
		$data = array(
				'supplier_name' => $post_data['supplier_name'],
				'supplier_phone' => $post_data['phone'],
				'supplier_email' =>$post_data['email'],
				'supplier_address' =>$post_data['supplier_address'],
				'product_line_id' => $post_data['product_line_id']
			);
		$res = $this->db->insert('ptsl_supplier',$data);
		$supplier_id = $this->db->insert_id();
			if($res){
				if($distributors){
					for($i = 0; $i<sizeof($distributors);$i++){
						$dist_supplier = array(
							'supplier_id' => $supplier_id,
							'distributor_id' => @$distributors[$i]
						);
						$this->db->insert('ptsl_distributor_supplier',$dist_supplier);
					}
				}
				$data_supplier_admin = array(
					'supplier_admin_name' => $post_data['admin_name'],
					'address'=> $post_data['supplier_address2'],
					'email' => $post_data['email2'],
					'phone' => $post_data['phone2'],
					'supplier_id' => $supplier_id
				);
				$res2 =  $this->db->insert('ptsl_supplier_admins',$data_supplier_admin);
				$supplier_admin_id = $this->db->insert_id();
				if($res2){
					
					$data_users = array(
						'login_name' => $post_data['username'],
						'password' => $post_data['password'],
						'user_type_id' => 1,
						'supplier_admin_id' => $supplier_admin_id,
						'supplier_id' => $supplier_id 
					);
					$res3 = $this->db->insert('ptsl_users',$data_users);
					$user_id = $this->db->insert_id();
					$data_user_role = array(
						'role_id' => '1',
						'user_id' => $user_id
					);
					$this->db->insert('ptsl_users_roles',$data_user_role);
					return 1;
				}
			}
	}
	public function update_supplier($post_data){
		$distributors = @$post_data['distributors'];
		$supplier_id = $post_data['supplier_id'];
		$data = array(
				'supplier_name' => $post_data['supplier_name'],
				'supplier_phone' => $post_data['phone'],
				'supplier_email' =>$post_data['email'],
				'supplier_address' =>$post_data['supplier_address'],
				'product_line_id' => $post_data['product_line_id']
			);
		$this->db->where('id',$supplier_id);
		$res = $this->db->update('ptsl_supplier',$data);
			if($res){
				$this->db->where('supplier_id',$supplier_id);
				$this->db->delete('ptsl_distributor_supplier');
				if($distributors){
					for($i = 0; $i<sizeof($distributors);$i++){
						$dist_supplier = array(
							'supplier_id' => $supplier_id,
							'distributor_id' => @$distributors[$i]
						);
						$this->db->insert('ptsl_distributor_supplier',$dist_supplier);
					}
				}
				$data_supplier_admin = array(
					'supplier_admin_name' => $post_data['admin_name'],
					'address'=> $post_data['supplier_address2'],
					'email' => $post_data['email2'],
					'phone' => $post_data['phone2'],
				);
				$this->db->where('supplier_id',$supplier_id);
				$res2 =  $this->db->update('ptsl_supplier_admins',$data_supplier_admin);
				$supplier_admin_info = $this->db->get_where('ptsl_supplier_admins',array('supplier_id'=>$supplier_id))->row();
				if($res2){
					
					$data_users = array(
						'login_name' => $post_data['username'],
						'password' => $post_data['password'],
						'user_type_id' => 1
					);
					$this->db->where('supplier_id',$supplier_id);
					$this->db->where('supplier_admin_id',$supplier_admin_info->id);
					$res3 = $this->db->update('ptsl_users',$data_users);
					
					return 1;
				}
			}
	}
}
?>