    <div id="page-wrapper" ng-app="CrmApp" ng-controller="dashboardClt">
    <div class="row">
                <div class="col-lg-12" >
                    <h1 class="page-header">Dashboard</h1>
                </div>
                <!-- /.col-lg-12 -->
            </div>
            <!-- /.row -->
            <div class="row">
                <div class="loader" ng-if="isLoading"></div>
                <div class="col-lg-3 col-md-6">
                    <div class="panel panel-primary">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-comments fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"><?php echo $no_of_sales;?></div>
                                    <div>Total Sales!</div>
                                </div>
                            </div>
                        </div>
                        <a href="<?php echo base_url();?>index.php/report/brand_report">
                            <div class="panel-footer">
                                <span class="pull-left">View Details</span>
                                <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                <div class="clearfix"></div>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="panel panel-green">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-user fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"><?php echo $no_of_activites;?></div>
                                    <div>Total Activities</div>
                                </div>
                            </div>
                        </div>
                        <a href="#">
                            <div class="panel-footer">
                                <span class="pull-left">View Details</span>
                                <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                <div class="clearfix"></div>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="panel panel-yellow">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-users fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                        <a  ng-click="updateaccounts()" style="cursor: pointer;">
                            <div class="panel-footer">
                                <span class="pull-left">Update Accounts</span>
                                <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                <div class="clearfix"></div>
                            </div>
                        </a>
                    </div>
                </div>
                <div class="col-lg-3 col-md-6">
                    <div class="panel panel-red">
                        <div class="panel-heading">
                            <div class="row">
                                <div class="col-xs-3">
                                    <i class="fa fa-check-circle-o fa-5x"></i>
                                </div>
                                <div class="col-xs-9 text-right">
                                    <div class="huge"><?php //echo $total_verification?></div>
                                    <div></div>
                                </div>
                            </div>
                        </div>
                        <a href="#">
                            <div class="panel-footer">
                                <span class="pull-left">View Details</span>
                                <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>
                                <div class="clearfix"></div>
                            </div>
                        </a>
                    </div>
                </div>
            </div>
            <div class="row" style="background: rgb(238,238,238);">
                <div class="col-lg-12" style="margin-top: 10px; padding-top: 10px; padding-bottom: 10px;">
                    <div class="col-lg-8 col-md-12 col-sm-12 col-xs-12" style="background: #fff;padding:20px;">
                        <div id="columnchart_material2" style="#width: 800px; #height: 500px;"></div>
                        <div id="columnchart_material" style="#width: 800px; #height: 500px;display: none"></div>
                        <div class="filter col-lg-12" style="margin-top: 0px;padding-top: 0px;">
                            <div class="col-lg-3">
                                <select name="filter" onchange="getdata()" id="__filter" class="form-control">
                                
                                    <option selected value="1">Past 7 days</option>
                                    <option value="2">Past 90 days</option>
                                    <option value="3">Past 1 Year</option>
                                </select>
                            </div>
                            <div class="col-lg-1">Or</div>
                            <div class="col-lg-3 demo">
                                <div class="input-group" data-provide="datepicker">
                                    <input type="text" class="form-control"  name="daterange" value="">
                                    <div class="input-group-addon">
                                        <span class="glyphicon glyphicon-th"></span>
                                    </div>
                                </div>
                          </div>
                          <!--div class="col-lg-3">
                              <a class="btn btn-link" href="<?php echo base_url()?>index.php/report/pdf_download" download>Download PDF</a>
                          </div-->
                        </div>
                    </div>

                    <div class="col-lg-4 col-md-12 col-sm-12 col-xs-12" style="">
                        <div class="panel panel-default">
                            <div class="panel-heading"> Recent Activities</div>
                            <div class="panel-body">
                                <div class="table-responsive">
                                    <table class="table table-striped" id="userTable">
                                        <thead>
                                          <tr>
                                            <th>Account</th>
                                            <th>Type</th>
                                            <th>Cleint Rep</th>
                                                                
                                          </tr>
                                        </thead>
                                        <tbody>
                                        <?php foreach($recent_activites as $key=>$recent_activity){?>
                                            <tr>
                        
                                                <td><?php echo $recent_activity['LongName'];?></td>
                                               
                                                <td><?php echo $recent_activity['SubtypeName'];?></td>
                                                
                                                <td><?php echo $recent_activity['ClientRepName'];?></td>
                                            </tr>
                                        <?php }?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div> 
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
     $(function() {
     $('input[name="daterange"]').daterangepicker({
      autoUpdateInput: false,
      locale: {
          cancelLabel: 'Clear'
      }
    });
      $('input[name="daterange"]').on('apply.daterangepicker', function(ev, picker) {
      $(this).val(picker.startDate.format('YYYY-MM-DD') + 'to' + picker.endDate.format('YYYY-MM-DD'));
      var param = $('input[name="daterange"]').val();
      loadchart(param);
    });

      $('input[name="daterange"]').on('cancel.daterangepicker', function(ev, picker) {
          $(this).val('');
      });
});
     var filter =1;
     let chart_data3,chart_data2;
     $( document ).ready(function() {
        $("#filter").val("1");
        google.charts.load('current', {'packages':['bar']});
        $('#columnchart_material2').css('display','none');
          $('#columnchart_material').css('display','block');
       loadchart(1);
     });
     function getdata(){
         filter = $('#__filter').val();
         $('#columnchart_material2').css('display','none');
         $('#columnchart_material').css('display','block');
         loadchart(filter);

     }
     function loadchart(filter){
      var url= "<?php echo base_url();?>index.php/dashboard/api/"+filter;
      console.log(url);
      $('.loader').css('display','block');
         $.get(url, function(data, status){
            var obj = JSON.parse(data);
            chart_data2 = (obj.chart_data.groups);
            chart_data3 =(JSON.stringify(chart_data2));
            google.charts.load('current', {'packages':['bar']});
            google.charts.setOnLoadCallback(drawChart(chart_data3));
            $('.loader').css('display','none');
        }); 
      
      google.charts.load('current', {'packages':['bar']});
      function drawChart(pdata) {
        var data = google.visualization.arrayToDataTable(JSON.parse(pdata.trim()));
        var options = {
        title: "Sales By Brand",
       
        height: 400,
        bar: {groupWidth: "95%"},
        legend: { position: "bottom" },
        animation: {
         startup : true,
        duration: 1000,
        easing: 'out'
      },
		vAxis: {title: "Case Equivalents"},
        hAxis: {title: "Month"}
		<!--vAxis: { gridlines: { count: 4 } } -->
		<!--isStacked: true -->
      };

        var chart = new google.charts.Bar(document.getElementById('columnchart_material'));

        chart.draw(data, google.charts.Bar.convertOptions(options));
      }
  }
    </script>
     <script type="text/javascript">
      google.charts.load('current', {'packages':['bar']});
      google.charts.setOnLoadCallback(drawChart);

      function drawChart() {
        var data = google.visualization.arrayToDataTable((<?php echo $chart_data;?>));
        
        var options = {
        title: "Sales By Brand",
         
        height: 400,
        bar: {groupWidth: "95%"},
        legend: { position: "bottom" },
        animation: {
         startup : true,
        duration: 1000,
        easing: 'out'
      },
        vAxis: {title: "Case Equivalents"},
        hAxis: {title: "Month"}
        <!--vAxis: { gridlines: { count: 4 } } -->
        <!--isStacked: true -->
      };

        var chart = new google.charts.Bar(document.getElementById('columnchart_material2'));

        chart.draw(data, google.charts.Bar.convertOptions(options));
      }
    </script>
   

