<style type="text/css">
  /*
 * Specific styles of signin component
 */
/*
 * General styles
 */
body, html {
    height: 100%;
    #background-repeat: no-repeat;
    #background-image: linear-gradient(rgb(104, 145, 162), rgb(12, 97, 33));
    background-color: #f15c22;
}

.card-container.card {
    max-width: 350px;
    padding: 40px 40px;
    border-radius:1em;
}

.btn {
    font-weight: 700;
    height: 36px;
    -moz-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    cursor: default;
}

/*
 * Card component
 */
.card {
    background-color: #F7F7F7;
    /* just in case there no content*/
    padding: 20px 25px 30px;
    margin: 0 auto 25px;
    margin-top: 50px;
    /* shadows and rounded borders */
    -moz-border-radius: 2px;
    -webkit-border-radius: 2px;
    border-radius: 2px;
    -moz-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
    -webkit-box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
}

.profile-img-card {
    width: 96px;
    height: 96px;
    margin: 0 auto 10px;
    display: block;
    -moz-border-radius: 50%;
    -webkit-border-radius: 50%;
    border-radius: 50%;
}

/*
 * Form styles
 */
.profile-name-card {
    font-size: 16px;
    font-weight: bold;
    text-align: center;
    margin: 10px 0 0;
    min-height: 1em;
}

.reauth-email {
    display: block;
    color: #404040;
    line-height: 2;
    margin-bottom: 10px;
    font-size: 14px;
    text-align: center;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.form-signin #inputEmail,
.form-signin #inputPassword {
    direction: ltr;
    height: 44px;
    font-size: 16px;
}

.form-signin input[type=email],
.form-signin input[type=password],
.form-signin input[type=text],
.form-signin button {
    width: 100%;
    display: block;
    margin-bottom: 10px;
    z-index: 1;
    position: relative;
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.form-signin .form-control:focus {
    border-color: rgb(104, 145, 162);
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgb(104, 145, 162);
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075),0 0 8px rgb(104, 145, 162);
}

.btn.btn-signin {
    /*background-color: #4d90fe; */
    background-color: rgb(104, 145, 162);
    /* background-color: linear-gradient(rgb(104, 145, 162), rgb(12, 97, 33));*/
    padding: 0px;
    font-weight: 700;
    font-size: 14px;
    height: 36px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
    border: none;
    -o-transition: all 0.218s;
    -moz-transition: all 0.218s;
    -webkit-transition: all 0.218s;
    transition: all 0.218s;
}

.btn.btn-signin:hover,
.btn.btn-signin:active,
.btn.btn-signin:focus {
    background-color: rgb(12, 97, 33);
}

.forgot-password {
    color: rgb(104, 145, 162);
}

.forgot-password:hover,
.forgot-password:active,
.forgot-password:focus{
    color: rgb(12, 97, 33);
}
.ng-cloak{display: none;}
.form-horizontal .form-group{
    margin-left: 0px !important;
    margin-right:0px !important;
}

</style>
<div class="container" ng-app="CrmApp" ng-controller="ValidationCtrl">
    <div class="loader" ng-if="isLoading"></div>
        <div class="card card-container" style="margin-top: 10%">
            <!-- <img class="profile-img-card" src="//lh3.googleusercontent.com/-6V8xOA6M7BA/AAAAAAAAAAI/AAAAAAAAAAA/rzlHcD0KYwo/photo.jpg?sz=120" alt="" /> -->
            <img id="profile-img" class="profile-img-card" src="<?php echo base_url();?>assets/images/mslogo.png" />
            <p id="profile-name" class="profile-name-card"></p>
            <form class="form-horizontal" name="loginForm" novalidate  ng-submit="checkLogin()">
              <div class="label label-danger ng-cloak" style="font-size: 14px;" ng-show="mv">{{invalid}}</div><br /><br />
              <div class="form-group" ng-class="{'has-error': loginForm.email.$invalid && loginForm.email.$dirty, 'has-success': loginForm.email.$valid }">
                <input type="text" class="form-control" placeholder="Username" name="email" ng-model="user.email" required/>
                <p class="help-block ng-cloak" ng-if="loginForm.email.$invalid && loginForm.email.$dirty">Username can not be empty.</p>
              </div>
              <div class="form-group" ng-class="{'has-error': loginForm.password.$invalid && loginForm.password.$dirty, 'has-success': loginForm.password.$valid}">
                <input type="password" class="form-control" placeholder="Password" name="password" ng-model="user.password" ng-minLength="4" required/>
                <p class="help-block ng-cloak" ng-if="loginForm.password.$invalid && loginForm.password.$dirty">Please Enter at least 4 characters</p>
              </div>
              <button class="btn btn-lg btn-primary btn-block btn-signin" ng-disabled="loginForm.emails.$invalid || loginForm.password.$invalid" type="submit">Sign In</button>
            </form>
            <a href="#" class="forgot-password">
                Forgot the password?
            </a>
        </div><!-- /card-container -->
    </div><!-- /container -->